
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>NOIP2002 矩形覆盖 / 憋错料</title>

    <meta name="description" content="NOIP2002 矩形覆盖 题四 矩形覆盖(存盘名NOIPG4) [问题描述]: 在平面上有 n 个点(n &lt;= 50),每个点用一对整数坐标表示.例如:当 n＝4 时,4个点的坐标分另为:p1(1,1),p2(2,2),p3(3,6),P4(0,7),见图一. 这些点可以用 k 个矩形(1&lt;=k&lt;=4)全部覆盖,矩形的边平行于坐标轴.当 k=2 时,可用如图二的两个矩形 sl,s2 覆盖,s1,s2 面积和为 4.问题是当 n 个点坐标和 k 给出后,怎样才能使得覆盖所有点的 k 个矩形的面积之和为最小 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">NOIP2002 矩形覆盖</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>题四 矩形覆盖（存盘名NOIPG4）</p>
<p>[问题描述]:</p>
<p>　　在平面上有 n 个点（n &lt;= 50），每个点用一对整数坐标表示。例如：当 n＝4 时，4个点的坐标分另为：p1（1，1），p2（2，2），p3（3，6），P4（0，7），见图一。</p>
<p>　　这些点可以用 k 个矩形（1&lt;=k&lt;=4）全部覆盖，矩形的边平行于坐标轴。当 k=2 时，可用如图二的两个矩形 sl，s2 覆盖，s1，s2 面积和为 4。问题是当 n 个点坐标和 k 给出后，怎样才能使得覆盖所有点的 k 个矩形的面积之和为最小呢。约定：覆盖一个点的矩形面积为 0；覆盖平行于坐标轴直线上点的矩形面积也为0。各个矩形必须完全分开（边线与顶点也都不能重合）。</p>
<p>[输入]:</p>
<p>　　键盘输人文件名。文件格式为</p>
<p>　　　n k</p>
<p>　　　xl y1</p>
<p>　　　x2 y2</p>
<p>　　　... ...</p>
<p>　　　xn yn （0&lt;=xi,yi&lt;=500)</p>
<p>[输出]:</p>
<p>　　输出至屏幕。格式为：</p>
<p>　　一个整数，即满足条件的最小的矩形面积之和。</p>
<p>[输入输出样例]</p>
<p>d.in :</p>
<p>　4 2</p>
<p>　1 1</p>
<p>　2 2</p>
<p>　3 6</p>
<p>　0 7</p>
<p>屏幕显示：</p>
<p>4</p>
<p>【思路】</p>
<p>Dfs。</p>
<p>首先将输入点按照xy递增的顺序排序。</p>
<p>搜索依次确定每个点属于哪一个矩形。最优解剪枝+如果相交则剪枝。</p>
<p>在网上看到了DP的做法:</p>
<p>f[i][j][k]=min{ f[i][l][k-1]+S(l+1,j) }</p>
<p>　算法并不完美（只出现了矩形包含的点连续的情况，还有可能不连续），因为数据比较弱所以才能AC，但不失为一种可以借鉴的思路。</p>
<p>【dfs代码】</p>
<pre> 1 #include&lt;cstdio&gt;
 2 #include&lt;cstdlib&gt;
 3 #include&lt;algorithm&gt;
 4 using namespace std;
 5
 6 struct data1
 7 {
 8     int x, y;
 9 }p[51];
10 struct data2
11 {
12     int l, r, u, d;
13     bool flag;
14 }re[5];
15 int n, m, ans = 0x7fffffff;
16 bool in( data2 a, int xx, int yy )
17 {
18     if( xx&gt;=a.l &amp;&amp; xx&lt;=a.r &amp;&amp; yy&gt;=a.d &amp;&amp; yy&lt;=a.u )
19         return 1;
20     else
21         return 0;
22 }
23 bool coin( data2 a, data2 b )  //判断是否相交
24 {
25     if( in( b, a.l, a.d ) ) return 1;
26     if( in( b, a.l, a.u ) ) return 1;
27     if( in( b, a.r, a.d ) ) return 1;
28     if( in( b, a.r, a.u ) ) return 1;
29     return 0;
30 }
31 void dfs( int k )   //一次确定每个点属于哪一个矩形
32 {
33     int i, j, s= 0;
34     data2 tmp;
35
36     for( i=1; i&lt;=m; i++ )
37         if( re[i].flag )
38         {
39             s += ( re[i].r-re[i].l ) * ( re[i].u-re[i].d);
40             for( j=i+1; j&lt;=m; j++ )
41                 if( re[j].flag &amp;&amp; coin( re[i], re[j] ) ) //防止有两个矩形相交 //相交则dfs失败
42                     return;
43         }
44     if( s&gt;=ans ) return;     //最优解剪枝
45
46     if( k&gt;n ){ ans = s; return; }
47     for( i=1; i&lt;=m; i++ )  //第k个点属于第i个矩形
48     {
49         tmp = re[i];   //
50         //更新re[i]的四至
51         if( !re[i].flag )
52         {
53             re[i].l = p[k].x; re[i].r = p[k].x;
54             re[i].u = p[k].y; re[i].d = p[k].y;
55             re[i].flag = 1;
56         }
57         else
58         {
59             re[i].l = min( re[i].l, p[k].x );
60             re[i].r = max( re[i].r, p[k].x );
61             re[i].d = min( re[i].d, p[k].y );
62             re[i].u = max( re[i].u, p[k].y );
63         }
64         dfs( k+1 );
65         re[i] = tmp; //回溯
66     }
67 }
68 int main()
69 {
70     int i;
71     scanf( "%d%d", &amp;n, &amp;m );
72     for( i=1; i&lt;=n; i++ )
73         scanf( "%d%d", &amp;p[i].x, &amp;p[i].y );
74     dfs( 1 );
75     printf( "%d\n", ans );
76     return 0;
77 }</pre>
<p>【dp代码】</p>
<pre> 1 #include&lt;iostream&gt;
 2 #define Max 1000000
 3 using namespace std;
 4
 5 int n,m,ans=Max,x[52],y[52],f[52][52][5]={0};
 6
 7 int High(int i,int j){
 8     int maxh=0,minh=1000,temp=i;
 9     while(temp&lt;=j)
10     maxh=max(maxh,y[temp++]);
11     temp=i;
12     while(temp&lt;=j)
13     minh=min(minh,y[temp++]);
14     return maxh-minh;
15 }
16
17
18 void Dp(){
19      for(int i=1;i&lt;=n;++i)
20      for(int j=1;j&lt;=n;++j)
21      for(int k=2;k&lt;=m;++k)
22      f[i][j][k]=Max;
23
24      for(int i=1;i&lt;=n;++i)
25      for(int j=i+1;j&lt;=n;++j)
26      f[i][j][1]=(x[j]-x[i])*High(i,j);
27      for(int i=1;i&lt;=n;++i)
28      for(int k=1;k&lt;=m;++k)
29      f[i][i][k]=0;
30
31      for(int k=2;k&lt;=m;++k)
32      for(int i=1;i&lt;=n;++i)
33      for(int j=i+1;j&lt;=n;++j)
34      for(int l=i+1;l&lt;=j;++l)
35      f[i][j][k]=min(f[i][j][k],f[i][l-1][k-1]+(x[j]-x[l])*High(l,j));
36
37      ans=min(ans,f[1][n][m]);
38 }
39
40 int main()
41 {
42     cin&gt;&gt;n&gt;&gt;m;
43     for(int i=1;i&lt;=n;++i)
44     cin&gt;&gt;x[i]&gt;&gt;y[i];
45
46     for(int i=1;i&lt;=n;++i)
47     for(int j=i+1;j&lt;=n;++j)
48     if(x[i]&gt;x[j]) {swap(x[i],x[j]);swap(y[i],y[j]);}
49     else if(x[i]==x[j]&amp;&amp;y[i]&gt;=y[j]) swap(y[i],y[j]);
50
51     Dp();
52
53     for(int i=1;i&lt;=n;++i)
54     swap(x[i],y[i]);
55
56     for(int i=1;i&lt;=n;++i)
57     for(int j=i+1;j&lt;=n;++j)
58     if(x[i]&gt;x[j]) {swap(x[i],x[j]);swap(y[i],y[j]);}
59     else if(x[i]==x[j]&amp;&amp;y[i]&gt;=y[j]) swap(y[i],y[j]);
60
61     Dp();
62
63     cout&lt;&lt;ans&lt;&lt;endl;
64     return 0;
65
66     }</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 21:51:59 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>NOIP2002 矩形覆盖的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eqj7a0.html" rel="bookmark">NOIP2002矩形覆盖&lbrack;几何DFS&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 在平面上有 n 个点(n &lt;= 50),每个点用一对整数坐标表示.例如:当 n＝4 时,4个点的坐标分另为:p1(1,1),p2(2,2),p3(3,6),P4(0,7),见图一. 这些点可以用 k 个矩形(1&lt;=k&lt;=4)全部覆盖,矩形的边平行于坐标轴.当 k=2 时,可用如图二的两个矩形 sl,s2 覆盖,s1,s2 面积和为 4.问题是当 n 个点坐标和 k 给出后,怎样才能使得覆盖所有点的 k 个矩形的面积之和为最小呢.约定:覆盖一个点的矩形面积为 0:覆盖平行于坐标轴			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OZ6Pr0.html" rel="bookmark">COGS103&amp;amp&semi;tyvj1899 &lbrack;NOIP2002&rsqb;矩形覆盖</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目里给的范围是k&lt;=4,但是官方数据并没有k==4的情况,导致一些奇奇怪怪的DP写法也能过.听说标程在k==4的时候有反例,掀桌-.. 难怪COGS上k==4的数据答案是错的. 还是好好写个搜索吧:网上写法很多.我是每次沿着一条平行于坐标轴的直线将点集分割成两部分,并枚举k个矩形如何在两边分配.边界为k==1,扫一遍所有点找到最小的矩形.细节看代码吧. 但是这个搜索我也不能保证是对的,因为k==4有可能出现这种崎岖的最优方案:不存在一条平行于坐标轴且不和任何一个矩形相交的直线将4个矩形分成两部			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/bMol7B0.html" rel="bookmark">BZOJ1185&colon; &lbrack;HNOI2007&rsqb;最小矩形覆盖</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				传送门 旋转卡壳. 首先求凸包没什么好商量的. 然后有一个结论,如果存在一个最小的矩形覆盖,那么凸包里必定存在一条边和矩形的边重合. 自己yy一下就好啦,很容易想明白. 然后枚举每条边,移动另外三条边即可. 注意点积,叉积的结合运用什么的. //BZOJ 1185 //by Cydiater //2017.1.29 #include &lt;iostream&gt; #include &lt;map&gt; #include &lt;ctime&gt; #include &lt;cmath&gt; #in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEZ7KK0.html" rel="bookmark">HDU 5100 Chessboard  用 k &amp;&num;215&semi; 1 的矩形覆盖 n &amp;&num;215&semi; n 的正方形棋盘</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				点击打开链接 Chessboard Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Total Submission(s): 335    Accepted Submission(s): 168 Problem Description Consider the problem of tiling an n×n chessboard by polyomino pieces tha			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3528N24.html" rel="bookmark">1185&colon; &lbrack;HNOI2007&rsqb;最小矩形覆盖</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1185: [HNOI2007]最小矩形覆盖 Time Limit: 10 Sec  Memory Limit: 162 MBSec  Special JudgeSubmit: 1426  Solved: 648[Submit][Status][Discuss] Description Input Output Sample Input Sample Output HINT Source 计算几何 vfleaking提供Spj #include&lt;cstdio&gt; #include&lt;cmat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xZllB4.html" rel="bookmark">剑指OFFER之矩形覆盖（九度OJ1390）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述: 我们可以用2*1的小矩形横着或者竖着去覆盖更大的矩形.请问用n个2*1的小矩形无重叠地覆盖一个2*n的大矩形,总共有多少种方法? 输入: 输入可能包含多个测试样例,对于每个测试案例, 输入包括一个整数n(1&lt;=n&lt;=70),其中n为偶数. 输出: 对应每个测试案例, 输出用n个2*1的小矩形无重叠地覆盖一个2*n的大矩形,总共有的方法数. 样例输入: 4 样例输出: 5 解题思路: 观察题目中的矩形,2*n的,是个长条形.本来脑中想象的是复杂的华容道,但是既然只是简单的长条形,那么			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPeAN60.html" rel="bookmark">bzoj1185【HNOI2007】最小矩形覆盖</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1185: [HNOI2007]最小矩形覆盖 Time Limit: 10 Sec  Memory Limit: 162 MBSec  Special Judge Submit: 1114  Solved: 505 [Submit][Status][Discuss] Description 凸包+旋转卡壳 首先有一个结论:矩形一定有一条边在凸包上,否则我们旋转之后一定会得到一个更小的矩形,脑补一下. 然后枚举凸包上的边,用旋转卡壳维护矩形的另外三条边,同时更新答案即可. #include&lt;ios			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzXbey3.html" rel="bookmark">&lbrack;ACM&rsqb; ZOJ 3209 Treasure Map  &lpar; Dancing Links 精确覆盖，矩形覆盖）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Treasure Map Time Limit: 2 Seconds      Memory Limit: 32768 KB Your boss once had got many copies of a treasure map. Unfortunately, all the copies are now broken to many rectangular pieces, and what make it worse, he has lost some of the pieces. Luck			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pgVjg3.html" rel="bookmark">洛谷 P1034 矩形覆盖</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				P1034 矩形覆盖 题目描述 在平面上有 n 个点(n &lt;= 50),每个点用一对整数坐标表示.例如:当 n＝4 时,4个点的坐标分另为:p1(1,1),p2(2,2),p3(3,6),P4(0,7),见图一. 这些点可以用 k 个矩形(1&lt;=k&lt;=4)全部覆盖,矩形的边平行于坐标轴.当 k=2 时,可用如图二的两个矩形 sl,s2 覆盖,s1,s2 面积和为 4.问题是当 n 个点坐标和 k 给出后,怎样才能使得覆盖所有点的 k 个矩形的面积之和为最小呢.约定:覆盖一个点的矩形面积为			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4pRkx0.html" rel="bookmark" class="title">五大常用算法之四：回溯法</a>
					<div>
						(转自:http://www.cnblogs.com/steven_oyj/archive/2010/05/22/1741376.html) 1.概念 回溯算法实际上一个类似枚举的搜索尝试过程,主要是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmoYrM.html" rel="bookmark" class="title">SQL Server 阻塞排除的 2 方法</a>
					<div>
						背景知识: 是什么造成了阻塞? 从锁的观点来看.可访问对象前一定要对对象加锁不管你是读还是写,如果用户A以经持有对象,说明A以在对象上加锁,如果这时B 也想访问这个对象.它也要对对象加锁.重点来了如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mza99W4.html" rel="bookmark" class="title">&period;NET&lpar;C&num;&rpar;：灵活运用CryptoStream，加密不是必须用CryptoStreamMode&period;Write</a>
					<div>
						首先.NET中的ICryptoTransform是单向的,也就是只能从一个状态将数据转化成另一个状态,反之是不可以的.当然手动 操作ICryptoTransform还是比较繁琐的,通过CryptoSt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gl5v0.html" rel="bookmark" class="title">poj 2411</a>
					<div>
						状压DP,以前这题TLE,改了好久才改好(还不如重写QAQ) 1 //#include&lt;bits/stdc++.h&gt; 2 #include&lt;cstdio&gt; 3 #include ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPd77aM.html" rel="bookmark" class="title">Lua语言教程1 &mdash;&mdash;【变量输出，方法输出，if语句和for循环语句！】</a>
					<div>
						变量输出: num=&quot;Hello Lua&quot; print (num) 方法输出: if语句: for循环语句:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x8NGL0.html" rel="bookmark" class="title">ios-swift-基本语法</a>
					<div>
						swift最基础: 关于基本类型: let是声明常量,var是声明变量.心得:要创建一个变量时,都应先定为常量,用到需要改的时候再改,因为变量量可变,可能会出现不安全因素,且常量效率高. 字符串:字符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KyRVw4.html" rel="bookmark" class="title">CodeForces 540D  Bad Luck Island   概率dp</a>
					<div>
						CodeForces 540D 应该是简单概率dp,由于写得少显得十分蠢萌 求期望逆推,求概率正推,大概是这么个意思,贴一发留恋 #include&lt;cstdio&gt; #include&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDdlq7M.html" rel="bookmark" class="title">LintCode-Sort Letters by Case</a>
					<div>
						Given a string which contains only letters. Sort it by lower case first and upper case second. Note  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vZwBa3.html" rel="bookmark" class="title">Apache禁止解析php 禁止指定user&lowbar;agent Apache通过rewrite限制某个目录</a>
					<div>
						&lt;Directory /data/www/data&gt; php_admin_flag engine off &lt;filesmatch &quot;(.*)php&quot;&gt; Or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rv7W93.html" rel="bookmark" class="title">《心动》- 关于初恋的故事&lpar;个人网站备份&rpar;</a>
					<div>
						其实,每个人都是一样的,每天忙忙碌碌的都是为了自己,为了现实生活,很少站在别人的立场去想,也就是因此,世界就变得好小好小,,也不知不觉的失去了很多,也可能命运就或许就此一样了呢,有谁敢说,自己一生,没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWnbNM.html" rel="bookmark" class="title">接口，接口的定义</a>
					<div>
						接口interface,顾名思义,是为了一种事物与另一种事物进行交流提供的通道(手段),例如我们现在的操作系统是Windows系统,我们见到的界面和各个功能的按钮都是图形用户接口,接口就是用户和应用程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPwXbD4.html" rel="bookmark" class="title">Oracle数据库合并行记录，WMSYS&period;WM&lowbar;CONCAT 函數的用法</a>
					<div>
						Sql代码 select t.rank, t.Name from t_menu_item t; 10 CLARK    10 KING    10 MILLER    20 ADAMS    20 F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDr9P93.html" rel="bookmark" class="title">百度房间沙发客服就考试考几分离开</a>
					<div>
						http://www.ebay.com/cln/jinlon8/book/167309734010/2015.02.10 http://www.ebay.com/cln/bam5330/book/16 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rwapv3.html" rel="bookmark" class="title">使用 Codec Engine 的 API 函数（三）</a>
					<div>
						本文翻译自TI的手册,该手册是学习GPP+DSP开发的金典文档,希望对各位入门有所帮助,有理解不当之处望请赐教. Codec Engine Application Developer User's G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q7YvQ0.html" rel="bookmark" class="title">win10 右键菜单添加Git Hash Here</a>
					<div>
						1.通过在&quot;运行&quot;中输入'regedit',打开注册表. 2.找到[HKEY_CLASSES_ROOT\Directory\Background]. 3.在[Background] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPZaK4.html" rel="bookmark" class="title">Angularjs &dollar;scope 里面的&dollar;apply 方法 和 &dollar;watch 方法</a>
					<div>
						Angularjs $scope 里面的$apply 方法 和 $watch 方法 学习要点:1. Angularjs $scope 里面的$apply 方法2. Angularjs $scope 里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLqQw0.html" rel="bookmark" class="title">POJ  1003   Hangover&amp;amp&semi;&amp;amp&semi;NYOJ  156  Hangover【数学题】</a>
					<div>
						计算1+1/2+1/3+++1/n Hangover Time Limit: 1000MS   Memory Limit: 10000K Total Submissions: 104558   Acc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRpwq3.html" rel="bookmark" class="title">思考在路上&mdash;&mdash;土包子的&OpenCurlyDoubleQuote;拱形之旅&rdquo;</a>
					<div>
						 土 包 子 的 “拱 形 之 旅” 摘要:又是一年盛夏日,也是土包子背起行囊远行的日子了.作为一个土包子,常听说这么一句话,旅行是一件“花钱买罪受”的事,抱着将信将疑的态度我开启了自己的拱形之旅(我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xBX5k4.html" rel="bookmark" class="title">进程间通信六（消息队列）</a>
					<div>
						一.消息队列的特点 1.消息队列是消息的链表,具有特定的格式,存放在内存中并由消息队列标识符标识.    2.消息队列允许一个或多个进程向它写入与读取消息.    3.管道和命名管道都是通信数据都是先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzKo64.html" rel="bookmark" class="title">Java单例模式的写法</a>
					<div>
						写过很多单例模式实现,今天贴一个书中的写法. 单例模式定义:一种设计模式,在只需要为类创建一个实例的时候使用. 要求:只能有一种创建实例的方式,同时不能获得处于未初始化状态的对象引用. 因此在单例模式 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
